Bug 1450008 - SmartState Analysis on Virtual Machine throwing error in evm.log
Summary: SmartState Analysis on Virtual Machine throwing error in evm.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Hui Song
QA Contact: Satyajit Bulage
URL:
Whiteboard: smartstate:vmware:vm
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-11 11:27 UTC by Satyajit Bulage
Modified: 2019-02-07 23:02 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:34 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:39 UTC

Description Satyajit Bulage 2017-05-11 11:27:35 UTC
Created attachment 1277831 [details]
evm.log during SSA on VM using vddk 5.5.4

Description of problem: Performed SmartState Analysis on Windows and Fedora VM throws an error in evm.log. See attached evm.log file
 

Version-Release number of selected component (if applicable): 5.8.0.14-rc3.20170509175238_5dbf87a 


How reproducible:100%


Steps to Reproduce:
1. Add vSphere55 provider
2. Perform SSA on Windows and Fedora VM
3.

Actual results: Scan yields data but throws and error in evm.log


Expected results: It should not throw any an error in evm.log


Additional info:
VDDK 5.5 used.

Comment 7 Mo Morsi 2017-09-01 21:25:14 UTC
Hey Satyajit any update?

Thanks,
  -Mo

Comment 9 Mo Morsi 2017-09-18 19:01:20 UTC
Hey Satyajit, is this instance still active. Access to it is timing out. Thanks.

Comment 13 Mo Morsi 2017-09-29 03:15:51 UTC
Hi Satyajit, I just ran a few SSA scan on the fedora24-test vm on the provided server, all succeeded without failure.

Are you still able to reproduce this issue on your end? If not I suggest we close this out as a random/intermittent issue.

Thanks

Comment 18 Mo Morsi 2017-10-17 09:06:19 UTC
Rich, sounds good, though inspecting the SSA code further it seems that EXT4 is the only module which logs this message. eg, in EXT3, FAT32, etc the issue is handled silently:

https://github.com/ManageIQ/manageiq-smartstate/blob/master/lib/fs/MiqFS/modules/Ext3.rb#L230

https://github.com/ManageIQ/manageiq-smartstate/blob/master/lib/fs/MiqFS/modules/Fat32.rb#L251

I'll send a PR to change the error to info but if just removing it the preferred solution just let me know and I'll update the PR to reflect that.

Comment 27 CFME Bot 2018-05-23 16:10:21 UTC
New commit detected on ManageIQ/manageiq-smartstate/master:

https://github.com/ManageIQ/manageiq-smartstate/commit/a1b76896ff64aa46715a20406f07ac281520fd09
commit a1b76896ff64aa46715a20406f07ac281520fd09
Author:     hsong-rh <hsong@redhat.com>
AuthorDate: Mon May 14 16:02:31 2018 -0400
Commit:     hsong-rh <hsong@redhat.com>
CommitDate: Mon May 14 16:02:31 2018 -0400

    Fix to change misleading error messages into normal info messages

    https://bugzilla.redhat.com/show_bug.cgi?id=1450008

 lib/fs/MiqFS/modules/Ext3.rb | 2 +-
 lib/fs/MiqFS/modules/ReiserFS.rb | 2 +-
 lib/fs/MiqFS/modules/XFS.rb | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Comment 29 Satyajit Bulage 2018-10-31 13:26:43 UTC
Perform SSA on vSphere-55 VM and found that no error there during the scan.

Verified Version: 5.10.0.21.20181023151612_4c11b0d

Comment 30 errata-xmlrpc 2019-02-07 23:02:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.